Bug 508472 - /etc/cron.daily/0logwatch corrupted ?
/etc/cron.daily/0logwatch corrupted ?
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: logwatch (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-27 10:40 EDT by Tom London
Modified: 2009-07-10 02:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-10 02:31:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom London 2009-06-27 10:40:48 EDT
Description of problem:

[root@tlondon ~]# cat /etc/cron.daily/0logwatch 
#!/bin/bash

DailyReport=

if [  != "No" ] && [  != "no" ]
then
    logwatch
fi
[root@tlondon ~]# 

Downgrading to logwatch-7.3.6-43.fc12.noarch fixes.....

Version-Release number of selected component (if applicable):
logwatch-7.3.6-44.fc12.noarch

How reproducible:
Yup.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Yanko Kaneti 2009-06-29 04:33:03 EDT
Same here
Comment 2 Ivana Varekova 2009-07-02 04:53:27 EDT
ops, thanks, fixed in logwatch-7.3.6-45.fc12.
Comment 3 Yanko Kaneti 2009-07-06 06:59:30 EDT
logwatch-7.3.6-45.fc12.noarch

# /etc/cron.daily/0logwatch 
/etc/cron.daily/0logwatch: line 5: [: !=: unary operator expected

perhaps you meant
-if [ \$DailyReport != "No" ] && [ \$DailyReport != "no" ]
+if [ "\$DailyReport" != "No" ] && [ "\$DailyReport" != "no" ]
Comment 4 Ivana Varekova 2009-07-07 07:19:57 EDT
sorry, logwatch-7.3.6-46.fc12 should fix it.

Note You need to log in before you can comment on or make changes to this bug.